<?php

class Plugin_download extends Plugin
{
	function do_inline($pagename, $param1, $param2)
	{
		mb_ereg('^(.*?)(?:\s*,\s*(.*?))?$', trim($param1), $m);
		$file = $m[1];
		$page = $m[2] == '' ? $pagename : $m[2];
		
		if(!Attach::getinstance($page)->isexist($file)){
			return '<span class="warning">ファイルがありません</span>';
		}
		$url = SCRIPTPATH . '?cmd=attach&amp;param=download&amp;page=' . rawurlencode($page) . '&amp;file=' . rawurlencode($file);
		return '<a href="' . $url . '">' . htmlspecialchars($file) . '</a>';
	}
}

?>